Name:           TVAnytimeAPI
Version:        1.3
Release:        6%{?dist}
Summary:        A java API for parsing, manipulating and creating TV-Anytime metadata
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://tvanytimeapi.sourceforge.net/
#Source0:         http://downloads.sourceforge.net/%{name}/%{name}_July05_release.zip
# Modified the source archive because of legal problems (mainly the xml/subdir)
Source0:        %{name}-%{version}.tar.bz2
Patch0:         TVAnytimeAPI-genre-add-2005.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 1:1.6.0
BuildRequires:     jpackage-utils
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils

%description
A java API for parsing, manipulating and creating TV-Anytime metadata.
TV-Anytime is an open standard for metadata describing TV and radio
programmes that is designed to support Personal Video Recoders (PVRs),
programme guides and related technologies.


%package javadoc
Summary:           Javadocs for TVAnytimeAPI
Group:             Documentation
Requires:          %{name} = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
TVAnytimeAPI development documentation.


%prep
%setup -q # -n %{name}-%{version}

%{__sed} -i 's/\r//' examples/APICodeExamples.java
%{__sed} -i 's/\r//' examples/CreateProgInfoTable.java


%build
pushd java
javac -d ../lib/ `find -name '*.java'`
popd
pushd lib
jar -cvf0 TVAnytimeAPI.jar bbc
popd
javadoc -author -version -overview java/overview.html -public -d doc `find java -name '*.java'`


%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING examples
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}/*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Sandro Mathys <red at fedoraproject.org> - 1.3-5
- Added patch submitted by Tim Coote with the parts that were added to the standard implemented by TVAnytimeAPI.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Sandro Mathys <red at fedoraproject.org> - 1.3-3
- License was wrong.

* Fri Jan 09 2009 Sandro Mathys <red at fedoraproject.org> - 1.3-2
- Removed the xml/ subdir for legal problems.
- Also removed lib/* and docs because I was already modifying the source archive anyway.
- Added examples/ to the docs

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 1.3-1
- initial build
